/**
 * 模仿android里面的Toast效果，主要是用于在不打断程序正常执行的情况下显示提示数据
 * @param config
 * @return
 */
var Toast = function(config){
    this.context = config.context==null?$('body'):config.context;//上下文
    this.message = config.message;//显示内容
    this.time = config.time==null?3000:config.time;//持续时间
    this.left = config.left;//距容器左边的距离
    this.top = config.top;//距容器上方的距离
    this.init();
}
var msgEntity;
Toast.prototype = {
    //初始化显示的位置内容等
    init : function(){
        $("#toastMessage").remove();
        //设置消息体
        var msgDIV = new Array();
        msgDIV.push('<div id="toastMessage">');
        msgDIV.push('<span>'+this.message+'</span>');
        msgDIV.push('</div>');
        msgEntity = $(msgDIV.join('')).appendTo(this.context);
        //设置消息样式
        var left = this.left == null ? this.context.width()/2-msgEntity.find('span').width()/2-10 : this.left;
        var bottom = this.bottom == null ? '20px' : this.bottom;
        msgEntity.css({
            position:'fixed',
            bottom:bottom,
            left:left,
            color:'white',
            padding:'10px',
            'margin-top':'10px',
            'margin-bottom': '10px',
            'z-index':'9999',
            'background-color':'black',
            'font-size':'14px',
            'border-radius': '5px'

        });
        msgEntity.hide();
    },
    //显示动画
    show :function(){
        msgEntity.fadeIn(this.time/2);
        msgEntity.fadeOut(this.time);
    }

}

function toast(msg){
console.log('+++++++'+msg);
        new Toast({context:$('body'),message:msg}).show();
}
/**
 * 去登录页面
 */
function tologin(){
    var u = navigator.userAgent;
    var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
    var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
    //js原生请求网络 订单提交
    if(isAndroid){
        android.tologin();

    }else if(isiOS){
        tologin();
    }
}
var args = {};
args.c =  'bd';

 function QueryString(){
    var name,value,i;
    var str=location.href;
    var num=str.indexOf("?");
    str=str.substr(num+1);
    var arrtmp=str.split("&");
    for(i=0;i < arrtmp.length;i++){
        num=arrtmp[i].indexOf("=");
        if(num>0){
            name=arrtmp[i].substring(0,num);
            value=arrtmp[i].substr(num+1);
            this[name]=value.replace('#','');
        }
    }
}
var $_GET = new QueryString();

var AlipayWeiche = (function(){

    var isAlipayClient = false;

    function __alert(msg){
        if(this.isAlipayClient){
            AlipayJSBridge.call('alert', {
                 title: '',
                 message: msg,
                 button: '确定'
                }, function (result) {
            });
        }else{
            alert(msg);
        }
    }
    function __confirm(msg,callback){
        if(this.isAlipayClient){
            AlipayJSBridge.call('confirm', {
                title: '',
                message: msg,
                okButton: '确定',
                cancelButton: '取消'
            }, function(result){
                if(result.ok && typeof callback == 'function'){
                    callback();
                }
            });
        }else{
            if(confirm(msg) && typeof callback == 'function'){
                callback();
            }
        }
    }

    function loading(msg){
        msg = msg || '请稍后';
        console.log(">>>>>>>messs:"+msg);
        if(this.isAlipayClient){
            AlipayJSBridge.call('showLoading', {
                text: msg,
                delay: 0
            });
        }else{
            //need AW

            if(typeof AW != 'undefined'){
                AW.loading.show({
                    message: msg,
                    showDelay: '0',
                    callContainer: false
                })
            }
        }
    }

    function loaded(){
        if(this.isAlipayClient){
            AlipayJSBridge.call('hideLoading');
            setTimeout(function(){
                AlipayJSBridge.call('hideLoading');
            },30);
        }else{
            //need AW
            if(typeof AW != 'undefined'){
                AW.loading.hide();
            }
        }
    }

    function changeHash(hashStr, back){
        //need Mobilebone
        var hash = location.hash.indexOf('#&') === 0 ? location.hash.replace("#&", '') : location.hash.replace("#", ''),
            back = back || false;
        if(hash != "" && hash != hashStr){
            if(args.c == 'qihu360'){
                $('.page').removeClass('in').addClass('out').css('display', 'none');
                $('#'+ hashStr).removeClass('out').addClass('in').css('display', 'block');
            }else{
                Mobilebone.transition(document.getElementById(hashStr), document.getElementById(hash), back);
            }
        }

        if(hashStr == 'details' || hashStr == 'index'){
            $('.page').css('position', 'fixed');
        }else{
            $('.page').css('position', 'absolute');
        }
    }
    return {
        version : "1.0.0",
        isAlipayClient:isAlipayClient,
        alert:__alert,
        confirm:__confirm,
        loading:loading,
        loaded:loaded,
        page:changeHash
    };
})();